Debian Bug report logs - #685506
copyright-format: new Files-Excluded field

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Andreas Tille <tille@debian.org>

Date: Tue, 21 Aug 2012 12:39:02 UTC

Severity: minor

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Tue, 21 Aug 2012 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 21 Aug 2012 12:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: Please add field Files-Excluded to machine readable copyright files definition
Date: Tue, 21 Aug 2012 14:34:50 +0200
Package: debian-policy
Severity: minor

Hello,

there was some discussion on debian-devel@l.d.o about enabling uscan to
remove files from an upstream tarball automatically.  In this discussion
(first mentioning was here:

  http://lists.debian.org/debian-devel/2012/08/msg00406.html

) the idea occured that it makes perfectly sense to mention files which
are excluded from the tarball inside the debian/copyright file.  From my
perspective this makes sense in any case (independently whether uscan
does any automatic job here or not.)  Please note that this problem is
somehow connected to bug #561494.

I would propose the following addition to 

  http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

----------------------- 8< ---------------------------------------------
Files-Excluded
--------------

Whitespace-separated list: list of patterns indicating files removed
from upstream source.

# begin copy of Files field description

Filename patterns in the Files field are specified using a simplified
shell glob syntax. Patterns are separated by whitespace.

Only the wildcards * and ? apply; the former matches any number of
characters (including none), the latter a single character. Both match
slashs (/) and leading dots, unlike shell globs. The pattern *.in
therefore matches any file whose name ends in .in anywhere in the source
tree, not just at the top level.

Patterns match pathnames that start at the root of the source tree.
Thus, "Makefile.in" matches only the file at the root of the tree, but
"*/Makefile.in" matches at any depth.

The backslash (\) is used to remove the magic from the next character;
see table below.

Escape sequence	Matches
\*	star (asterisk)
\?	question mark
\\	backslashAny other character following a backslash is an error.

This is the same pattern syntax as fnmatch(3) without the FNM_PATHNAME
flag, or the argument to the -path test of the GNU find command, except
that [] wildcards are not recognized.

# end copy of Files field description

The field is optional and should be specified in connection with the
Source field.
----------------------- >8 ---------------------------------------------

Kind regards

        Andreas.

-- System Information:
Debian Release: 6.0.5
Architecture: i386 (i686)

Kernel: Linux 2.6.36-xenU-4814-i386 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Tue, 21 Aug 2012 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 21 Aug 2012 13:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 685506@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Andreas Tille <tille@debian.org>, 685506@bugs.debian.org
Subject: Re: Bug#685506: debian-policy: Please add field Files-Excluded to machine readable copyright files definition
Date: Tue, 21 Aug 2012 21:59:28 +0900
user debian-policy@packages.debian.org
usertags 685506 normative discussion
retitle 685506 copyright-format: new Files-Excluded field
thanks

Le Tue, Aug 21, 2012 at 02:34:50PM +0200, Andreas Tille a écrit :
> 
> I would propose the following addition to 
> 
>   http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
> 
> ----------------------- 8< ---------------------------------------------
> Files-Excluded
> --------------
> 
> Whitespace-separated list: list of patterns indicating files removed
> from upstream source.

Hi Andreas,

thank you for your work on this.  I think that it is a good idea to open a bug
as a point for tracking further discussion.

At this moment, I would recommend to look how the situation evolves in the next
months, in particular:

 - How the idea is adopted,
 - if un-anticipated shortcomings are found, and
 - if other tools (git-import-orig for instance) implement the parsing if this
   new field.

Then, once the usage of this field is established, let's re-open the discussion
of the integration in the next revision of the format.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Changed Bug title to 'copyright-format: new Files-Excluded field' from 'debian-policy: Please add field Files-Excluded to machine readable copyright files definition' Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Tue, 21 Aug 2012 13:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Tue, 21 Aug 2012 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 21 Aug 2012 13:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 685506@bugs.debian.org
Subject: Re: Bug#685506: debian-policy: Please add field Files-Excluded to machine readable copyright files definition
Date: Tue, 21 Aug 2012 15:51:31 +0200
On Tue, Aug 21, 2012 at 09:59:28PM +0900, Charles Plessy wrote:
> user debian-policy@packages.debian.org
> usertags 685506 normative discussion
> retitle 685506 copyright-format: new Files-Excluded field
> thanks

Thanks for enhancing the metadata.
 
> At this moment, I would recommend to look how the situation evolves in the next
> months, in particular:
> 
>  - How the idea is adopted,

I personally will migrate any of my get-orig-source scripts to use
exclusion enabled removal uscan from the moment where this might become
possible.

>  - if un-anticipated shortcomings are found, and
>  - if other tools (git-import-orig for instance) implement the parsing if this
>    new field.

While the idea for this new field was born from the intended usage in
uscan I would like to stress the fact that I see a perfectly valid
reason to use this totally independently as a documentation means.  So
this bug is somehow unrelated to any usage in tools (even if admittedly
it perfectly would help adopting it).  Please see the suggestion as any
other field in debian/copyright which is not necessarily used by any
tool.
 
Kind regards

      Andreas. 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Tue, 21 Aug 2012 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 21 Aug 2012 14:57:07 GMT) Full text and rfc822 format available.

Message #22 received at 685506@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Andreas Tille <tille@debian.org>, 685506@bugs.debian.org
Subject: Re: Bug#685506: debian-policy: Please add field Files-Excluded to machine readable copyright files definition
Date: Tue, 21 Aug 2012 16:54:13 +0200
[Message part 1 (text/plain, inline)]
On Tue, 21 Aug 2012 14:34:50 +0200, Andreas Tille wrote:

>   http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
> 
> ----------------------- 8< ---------------------------------------------
> Files-Excluded
> --------------
> 
> Whitespace-separated list: list of patterns indicating files removed
> from upstream source.
> 
> # begin copy of Files field description

[..]

> # end copy of Files field description

Wouldn't it be easier to say "Same as ``Files'', except that it may
only occur once."?
 
> The field is optional and should be specified in connection with the
> Source field.
> ----------------------- >8 ---------------------------------------------

This probably belongs into the "Header paragraph (once)" section as
an additional bullet point "Files-Excluded: optional".


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Supertramp: Just Another Nervous Wreck
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Tue, 21 Aug 2012 19:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 21 Aug 2012 19:00:10 GMT) Full text and rfc822 format available.

Message #27 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 685506@bugs.debian.org
Subject: Re: Bug#685506: debian-policy: Please add field Files-Excluded to machine readable copyright files definition
Date: Tue, 21 Aug 2012 20:56:32 +0200
On Tue, Aug 21, 2012 at 04:54:13PM +0200, gregor herrmann wrote:
> On Tue, 21 Aug 2012 14:34:50 +0200, Andreas Tille wrote:
> 
> >   http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
> > 
> > ----------------------- 8< ---------------------------------------------
> > Files-Excluded
> > --------------
> > 
> > Whitespace-separated list: list of patterns indicating files removed
> > from upstream source.
> > 
> > # begin copy of Files field description
> 
> [..]
> 
> > # end copy of Files field description
> 
> Wouldn't it be easier to say "Same as ``Files'', except that it may
> only occur once."?

Yes.
My motivation to create a copy was that changes might be done more
easy.  If there will be no change between what I marked as copy I
would fully agree.
  
> > The field is optional and should be specified in connection with the
> > Source field.
> > ----------------------- >8 ---------------------------------------------
> 
> This probably belongs into the "Header paragraph (once)" section as
> an additional bullet point "Files-Excluded: optional".

Yes.  (I was not aware of this header-body structure so I just missed
this way better description.)

Thanks for the enhancements

       Andreas.


-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 16 Jan 2013 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <thibaut@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 16 Jan 2013 10:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 685506@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <thibaut@debian.org>
To: 685506@bugs.debian.org
Subject: Re: Bug#685506: copyright-format: new Files-Excluded field
Date: Wed, 16 Jan 2013 11:23:23 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

FWIW, prior to DEP-5 adoption, I actually also made a proposal akin to
this:
 http://lists.debian.org/debian-devel/2009/12/msg00046.html
which, at the time, was rejected on the ground that documented removed
files is not explicitly mandated by Policy.

I actually used it in some of my packages :

Removed-Files: yorick/lbfgs*
Rationale: Not DFSG
 Those files are not used in the plug-in. They bear no clear copyright
 statement.

Removed-Files: idl/*
Rationale: Not DFSG
 The idl/ directory of the original source contains files meant for
 building a plugin for a commercial product. These files are not used
 in the Debian package and some have a dubious copyright statement,
 presumably non-DFSG.

(Its possible that some of it remains but I believe I removed it when
switching to the adopted standard with routine uploads. See:
http://packages.debian.org/changelogs/pool/main/y/yorick-optimpack/yorick-optimpack_1.3.1+dfsg1-1/yorick-optimpack.copyright)

I think having a "Rationale" is good. It helps the (next?) maintainer
decide whether the restrictions still apply to the new upstream release.

To me, Removed-Files sounds clearer: those files have been removed
from the package, not simply excluded from... perhaps the copyright
notice above? Files-Excluded could be interpreted as "the following
applies to all except those files". No strong feelings about this
though, you may paint the bike shed whatever color you see fit ;-)

Hope this helps.

Kind regards, Thibaut.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJQ9n+bAAoJEJOUU0jg3ChABvwQAKcOi+ATDcSMQQbpNjpokqBb
MSmhLCJhZ5Pv1RmaS4iTnZFI0wd3V4D0QtSoDaciKakNeDxo3P3Au4qjgHpHHmXW
fUj2gp17BDRJ1N+K7XG9rwt3HbZ4gXIZGnKbvKy5Xhisw6IlpW4ut23e1f+/Ffpj
5PB+ohcW+LpfFT2I+cQ93zPQlZgz+k+tRb5/lIjSoc0yJBvEW8g4XZXzfaUXMcp6
21wdm8IqUxFSDqGLZBUhcT9dQcQGqY/Ih4sl1O3H1C9C8tmkW2dSN65n0qCbq+Aw
PLi777h+fD34++IdQVNpRTmGKAIvzRe7ZjpRhgV7JRwvo3C9WVyiEbSCL23XlOkL
m2dQJXsAx3sbmacb4b2Oq9c6t2YtpB0E+V3LxA9+bFkegecDHYJTJdovgqK1hOnx
/5nyPV3xu052K48iSOEe/aegVjQG1p29kLcoZEl8q4878yPtPSE06+qoEPwwkmQB
fsgfWOS7ce6h2gpje3jSwcnjtL7XbYMsmwTUfnSB9F1khErPE5scjMoBZNqV0VfV
b6VQCFivyTltEMALTGlbePUcjGHoHvaBc09dJkJ+HPoyCY+AQtMY9hOkv/BYjvUe
z0KQis+2umF3/6ACLley5+UAKm0DQxGP8rYtbf1vBEQbrIDIIFjyuY0aEEd0dea9
dUbzT384UzUVeUhRM0Lg
=jn1B
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 16 Jan 2013 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <thibaut@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 16 Jan 2013 13:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 685506@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <thibaut@debian.org>
To: 685506@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, Andreas Tille <tille@debian.org>
Subject: Re: Bug#685506: copyright-format: new Files-Excluded field
Date: Wed, 16 Jan 2013 14:23:17 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Tue, Aug 21, 2012 at 04:54:13PM +0200, gregor herrmann wrote:
> 
> This probably belongs into the "Header paragraph (once)" section
> as an additional bullet point "Files-Excluded: optional".

Hi,

I don't agree: I find it better to allow several such paragraphs, when
the rationale behind removing several files differs, as in this
real-life example:

Removed-Files: yorick/lbfgs*
Rationale: Not DFSG
 Those files are not used in the plug-in. They bear no clear copyright
 statement.

Removed-Files: idl/*
Rationale: Not DFSG
 The idl/ directory of the original source contains files meant for
 building a plugin for a commercial product. These files are not used
 in the Debian package and some have a dubious copyright statement,
 presumably non-DFSG.

http://packages.debian.org/changelogs/pool/main/y/yorick-optimpack/yorick-optimpack_1.3.1+dfsg1-1/yorick-optimpack.copyright

Of course this goes together with the idea of documenting the
rationale behind removing a file.

As exemplified, the Rationale would have a short and a long
escription. The short description should be standardized with a few
typical values:
 Not DFSG
 Big but not used
 other
purely for statistical purposes. Not sure whether that's useful.

Kind regards, Thibaut.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJQ9qnEAAoJEJOUU0jg3ChAvf4P/ioOBsnZPzI2lLf/oUHMEYzT
/sZoNibCCzf8cEnGsf37DNdN0mmsqN+xhriyIsLEvo6Y/5ekulfZK2pOGjgtuDdw
lkyaDyeOAKhI4MD6dMd+K515ysMz6u6GuXpZKRvsl8d/dwlWFgKgIrvk+WEKWLzw
VRcGFLcZJ0Cv+ZLkbLg1GpzlI7NmA335Ahv1S1znU5J6/MYCBRc9Hc2g7jZfBtm9
fyvJqhhWcSqghNSHaQKsSIBnx+soqc3ihcRa2OooPNJD2O0bgpemzWO0HhcxbqLH
CmD9WABC0M0h5Lb75/lguCRy0tA9eVxiJWSbEt5D9cf0jjv8piYnY4/Gfc4Bc7et
M2Pj0EnbIt6kpMHzzbEfKggsatr31qZ4So12VxNHb5LhN5irkPkvd4JO00LnUJKK
ndumPQjrQaCCYZ9rNJrVgsbAsLM+DeI16sqNSblSeqGaeP/lQoNfPwr8OT1URMoh
/4TQnRedGs/WXXdt3RiwxtDK0saY10FZiaEUOTgIEYi6zdFEiTPqIEF3nPyz9W+D
uE9Tm4j+BvVZAaqem0vWbiM0hc5sNg1BpQP2FRjIDsSd6Xq+3nnZ6HSbBYRlTwBN
GkImiw/Z2xOPaKVcvSjW8i3uoPs4WPYyA6aeN3IXN0MdcmCa7G8mIXOgT0Q5Ihrk
Zsd9LoFJyKdxJ07EThd4
=LYR8
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 16 Jan 2013 13:39:06 GMT) Full text and rfc822 format available.

Message #40 received at 685506@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 685506@bugs.debian.org
Subject: Re: Bug#685506: copyright-format: new Files-Excluded field
Date: Wed, 16 Jan 2013 14:35:13 +0100
* Thibaut Paumard <thibaut@debian.org>, 2013-01-16, 14:23:
>http://packages.debian.org/changelogs/pool/main/y/yorick-optimpack/yorick-optimpack_1.3.1+dfsg1-1/yorick-optimpack.copyright
>
>Of course this goes together with the idea of documenting the rationale 
>behind removing a file.
>
>As exemplified, the Rationale would have a short and a long escription. 
>The short description should be standardized with a few typical values:
> Not DFSG
> Big but not used
> other
>purely for statistical purposes. Not sure whether that's useful.

What would "Big but not used" be doing in a _copyright_ file?!

I hope this makes everybody realise that debian/copyright is a very bad 
place for repack instructions.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 16 Jan 2013 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 16 Jan 2013 16:51:03 GMT) Full text and rfc822 format available.

Message #45 received at 685506@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Thibaut Paumard <thibaut@debian.org>, 685506@bugs.debian.org
Cc: Andreas Tille <tille@debian.org>
Subject: Re: Bug#685506: copyright-format: new Files-Excluded field
Date: Wed, 16 Jan 2013 17:47:13 +0100
[Message part 1 (text/plain, inline)]
On Wed, 16 Jan 2013 14:23:17 +0100, Thibaut Paumard wrote:

> On Tue, Aug 21, 2012 at 04:54:13PM +0200, gregor herrmann wrote:
> > This probably belongs into the "Header paragraph (once)" section
> > as an additional bullet point "Files-Excluded: optional".
> I don't agree: I find it better to allow several such paragraphs, when
> the rationale behind removing several files differs, as in this
> real-life example:
> 
> Removed-Files: yorick/lbfgs*
> Rationale: Not DFSG

Ok; that would mean defining a new paragraph type for
Copyright-Format 1.x; adding a field to the Header paragraph can be
tried "for free" before changing the spec.
(Just saying, not that this means we can't do it.)

Currently CF1.0 also says for the Source Field in the Header
paragraph:
"If the upstream source has been modified to remove non-free parts,
that should be explained in this field."
so just using this seems easier.

I guess it boils down to how much detail we need (your "Rationale");
while I understand your point, so far I was quite happy with writing
one free-form line in a (Header) Comment field and be done with it.

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bruce Springsteen: Atlantic City
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 16 Jan 2013 20:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 16 Jan 2013 20:42:05 GMT) Full text and rfc822 format available.

Message #50 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 685506@bugs.debian.org
Subject: Re: Bug#685506: copyright-format: new Files-Excluded field
Date: Wed, 16 Jan 2013 21:37:55 +0100
Hi,

On Wed, Jan 16, 2013 at 05:47:13PM +0100, gregor herrmann wrote:
> 
> I guess it boils down to how much detail we need (your "Rationale");
> while I understand your point, so far I was quite happy with writing
> one free-form line in a (Header) Comment field and be done with it.

Finally if you *really* want to add single comments you always have
the option of:

Files-Excluded:
    file_a
    file_b
    file_c
    ...
Comment: The following files were removed because
  file_a: Binary with no source
  file_b: non-free license
  file_c: just cruft
  ...

This is not that nice but should work.

Kind regards

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 04 Dec 2013 02:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 04 Dec 2013 02:15:05 GMT) Full text and rfc822 format available.

Message #55 received at 685506@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: 685506@bugs.debian.org
Subject: Re: Suggested DEP5 enhancement: Files-Excluded
Date: Wed, 4 Dec 2013 11:12:33 +0900
Le Tue, Dec 03, 2013 at 07:19:23PM +0100, Andreas Tille a écrit :
> 
> I have proposed a new field Files-Excluded here:
> 
>    https://wiki.debian.org/UscanEnhancements
> 
> On this Wiki page I have given a summary of the discussion on
> debian-devel mailing list and the according bug report #685787.  Since
> devscripts maintainers included the according patch that regards
> Files-Excluded in uscan I think it might make sense to mention this
> field in Debian policy.
> 
> While I initially assumed that it also should be included in
> 
>    http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
> 
> Lars advised me that this will not happen because only fixes will
> be accepted.  That's fine for me.

Hi Andreas,

I think that the introduction of new fields would be under the scope of a
version update of the copyright format.  The Policy bug for adding
Files-Excluded is actually there already.

    http://bugs.debian.org/685506

Ideally, such a version update would come with a systematic review of all
the other bugs related having "copyright-format" in their subject, and a
survey of the other extra fields currently in use would be neat as well.

However, if this does not happen because nobody has time to do the work, I
personally would be fine with a 1.1 update that only contains the
Files-Excluded addition.  This field was not my favorite solution to the
problem, but experience showed that your solution was implemented, used,
and unchallenged.

Have a nice day, and thanks for your perseverance.

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 04 Dec 2013 07:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 04 Dec 2013 07:12:04 GMT) Full text and rfc822 format available.

Message #60 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 685506@bugs.debian.org
Subject: Re: Suggested DEP5 enhancement: Files-Excluded
Date: Wed, 4 Dec 2013 08:09:17 +0100
Hi Charles,

On Wed, Dec 04, 2013 at 11:12:33AM +0900, Charles Plessy wrote:
> Le Tue, Dec 03, 2013 at 07:19:23PM +0100, Andreas Tille a écrit :
> > 
> > I have proposed a new field Files-Excluded here:
> > 
> >    https://wiki.debian.org/UscanEnhancements
> > 
> > On this Wiki page I have given a summary of the discussion on
> > debian-devel mailing list and the according bug report #685787.  Since
> > devscripts maintainers included the according patch that regards
> > Files-Excluded in uscan I think it might make sense to mention this
> > field in Debian policy.
> > 
> > While I initially assumed that it also should be included in
> > 
> >    http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
> > 
> > Lars advised me that this will not happen because only fixes will
> > be accepted.  That's fine for me.
> 
> Hi Andreas,
> 
> I think that the introduction of new fields would be under the scope of a
> version update of the copyright format.  The Policy bug for adding
> Files-Excluded is actually there already.
> 
>     http://bugs.debian.org/685506

Ahhh, it was soooo long ago that I even forgot this bug.  Next time I'll
reread the documentation I have written in Wiki myself better.  Sorry for
the noise.

> Ideally, such a version update would come with a systematic review of all
> the other bugs related having "copyright-format" in their subject, and a
> survey of the other extra fields currently in use would be neat as well.
> 
> However, if this does not happen because nobody has time to do the work, I
> personally would be fine with a 1.1 update that only contains the
> Files-Excluded addition.  This field was not my favorite solution to the
> problem, but experience showed that your solution was implemented, used,
> and unchallenged.
> 
> Have a nice day, and thanks for your perseverance.

The compensation will be a saving of work when there is a need for removing
files from upstream. :-)

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Tue, 10 Dec 2013 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 10 Dec 2013 09:03:04 GMT) Full text and rfc822 format available.

Message #65 received at 685506@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: debian-python@lists.debian.org, 685506@bugs.debian.org
Subject: Re: Recommending get-orig-source for packages ?
Date: Tue, 10 Dec 2013 17:59:12 +0900
Le Tue, Dec 10, 2013 at 05:35:08PM +1100, Ben Finney a écrit :
> 
> By my reading of ‘copyright-format/1.0’ (the “Machine-readable
> debian/copyright file” specification), the normative place for that
> information is the “Source” field:
> 
>     Source
> 
>         Formatted text, no synopsis: an explanation of where the
>         upstream source came from. Typically this would be a URL, but it
>         might be a free-form explanation. The Debian Policy section 12.5
>         requires this information unless there are no upstream sources,
>         which is mainly the case for native Debian packages. If the
>         upstream source has been modified to remove non-free parts, that
>         should be explained in this field.
> 
> Because of that explicit specification, and that such repacking needs to
> be in an automated program or configuration anyway and explained in the
> “Source” field, I think adding another special place for this
> information is unnecessary duplication.

Hi Ben,

http://bugs.debian.org/685506 tracks the proposal of adding a Files-Excluded
in the next version of the specification.

Your comment implies that the definition of the Source field should be changed
together with the addition of Files-Excluded, and I think that it is totally
doable.

People who like the information to be in debian/copyright worked on an
implementation that is used and now supported in devscripts.  In contrary,
people who like the information to be somewhere else, however good are their
reasons, did not produce a viable alternative.  Unless there is a concrete
commitment for creating a robust and well-accepted alternative, I think that
there is no point discussing the issue further.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 13:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 13:21:10 GMT) Full text and rfc822 format available.

Message #70 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Fri, 21 Mar 2014 14:17:46 +0100
Hi Joachim,

On Fri, Mar 21, 2014 at 01:56:43PM +0100, Joachim Breitner wrote:
> > > Personally I’d find 
> > >         File-Excluded: foo/bar.js
> > > to exclude
> > >  * foo/bar.js (in case of a dirty tarball)
> > >  * pkg-1.0/foo/bar.js (as in your implementation) as well as
> > >  * pkg-1.0/docs/foo/bar.js (this would be new
> > > the easiest, as it will conceivably stand less in the way of the
> > > developers, i.e. he would _not_ have to first look up the precise
> > > semantics.
> > 
> > +1 (or rather +10 since it is really flexible ;-))
> 
> Implemented. Worked with CImg.

Good.

> > BTW, we should create a mothur-Package like test-case.  I just tested
> > your last commit and I can not get the __MACOSX go away. :-(
> 
> My suggestion was not implemented until now. Please try again. 

Hmmmm, I can not confirm.  Did you tried the mothur package?
 
> I extended the testcase with removing "./docs/html/js/jquery.js" using
> the pattern "js/jquery.js".

Cool!
 
> > > Just found https://bugs.debian.org/685506 which contains an attempt to
> > > give a more formal specification. Good.
> > > 
> > > I suggest we replace
> > > 
> > >         
> > >         Patterns match pathnames that start at the root of the source
> > >         tree.
> > >         Thus, "Makefile.in" matches only the file at the root of the
> > >         tree, but "*/Makefile.in" matches at any depth.
> > >         
> > > with 
> > > 
> > >         Patterns match pathnames relative to any of their parent
> > >         directories. So "icons/company.png" matches such a file in the
> > >         root of the tree, in "pkg-1.0/icons/company.png" as well as in
> > >         "pkg-1.0/docs/icons/company.png".
> > >         
> > > This avoids the not well defined “root of the source tree”.
> > 
> > +1
> 
> Would you be so kind to pursue the policy/specification change, given
> that you are the original author?

I have changed this at

   https://wiki.debian.org/UscanEnhancements

(please double check and change if needed) and I also keep the bug report
in CC.

Many thanks for your work on this

     Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 16:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 16:03:07 GMT) Full text and rfc822 format available.

Message #75 received at 685506@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Fri, 21 Mar 2014 16:59:49 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 21.03.2014, 14:17 +0100 schrieb Andreas Tille:
> > > BTW, we should create a mothur-Package like test-case.  I just tested
> > > your last commit and I can not get the __MACOSX go away. :-(
> > 
> > My suggestion was not implemented until now. Please try again. 
> 
> Hmmmm, I can not confirm.  Did you tried the mothur package?

No, not until now. My code happened to add a "./" in front of every
path, but that package excludes ".*", so all files were removed. Fixed
and covered by the test suite.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 21:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 21:21:10 GMT) Full text and rfc822 format available.

Message #80 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Fri, 21 Mar 2014 22:19:14 +0100
Hi Joachim,

On Fri, Mar 21, 2014 at 04:59:49PM +0100, Joachim Breitner wrote:
> Hi,
> 
> Am Freitag, den 21.03.2014, 14:17 +0100 schrieb Andreas Tille:
> > > > BTW, we should create a mothur-Package like test-case.  I just tested
> > > > your last commit and I can not get the __MACOSX go away. :-(
> > > 
> > > My suggestion was not implemented until now. Please try again. 
> > 
> > Hmmmm, I can not confirm.  Did you tried the mothur package?
> 
> No, not until now. My code happened to add a "./" in front of every
> path, but that package excludes ".*", so all files were removed. Fixed
> and covered by the test suite.

Hmmmmm, I guess something remains wrong.  While uscan says:

Newest version on remote site is 1.33.3, local version is 1.33.0+dfsg
 (mangled local version number 1.33.0)
 => Forcing download as requested
-- Downloading updated package Mothur.1.33.3.zip
-- Repacking from zip to .tar.xz
-- Successfully downloaded updated package Mothur.1.33.3.tar.xz
    and removed 134 files from it in mothur_1.33.3+dfsg.orig.tar.xz
-- Scan finished


the files that need to be removed are remaining inside the package.
(all *.o files are there, __MACOSX dir remained).

Kind regards

     Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 21:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 21:45:10 GMT) Full text and rfc822 format available.

Message #85 received at 685506@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Fri, 21 Mar 2014 22:42:35 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 21.03.2014, 22:19 +0100 schrieb Andreas Tille:
> Hmmmmm, I guess something remains wrong.  While uscan says:
> 
> Newest version on remote site is 1.33.3, local version is 1.33.0+dfsg
>  (mangled local version number 1.33.0)
>  => Forcing download as requested
> -- Downloading updated package Mothur.1.33.3.zip
> -- Repacking from zip to .tar.xz
> -- Successfully downloaded updated package Mothur.1.33.3.tar.xz
>     and removed 134 files from it in mothur_1.33.3+dfsg.orig.tar.xz
> -- Scan finished
> 
> 
> the files that need to be removed are remaining inside the package.
> (all *.o files are there, __MACOSX dir remained).

Did you check Mothur.1.33.3.tar.xz or mothur_1.33.3+dfsg.orig.tar.xz – a
mistake I also did earlier today:

$ apt-get source mothur
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
HINWEIS: »mothur«-Paketierung wird betreut im »Svn«-Versionsverwaltungssystem auf:
svn://anonscm.debian.org/debian-med/trunk/packages/mothur/trunk/
Es müssen 918 kB an Quellarchiven heruntergeladen werden.
Holen: 1 http://http.debian.net/debian/ sid/main mothur 1.33.0+dfsg-1 (dsc) [2.103 B]
Holen: 2 http://http.debian.net/debian/ sid/main mothur 1.33.0+dfsg-1 (tar) [902 kB]
Holen: 3 http://http.debian.net/debian/ sid/main mothur 1.33.0+dfsg-1 (diff) [13,9 kB]
Es wurden 918 kB in 0 s geholt (1.095 kB/s).             
dpkg-source: Information: mothur wird nach mothur-1.33.0+dfsg extrahiert
dpkg-source: Information: mothur_1.33.0+dfsg.orig.tar.xz wird entpackt
dpkg-source: Information: mothur_1.33.0+dfsg-1.debian.tar.xz wird entpackt
dpkg-source: Information: makefile.patch wird angewandt
dpkg-source: Information: no_lcurses.patch wird angewandt
dpkg-source: Information: drop_sse_option.patch wird angewandt
dpkg-source: Information: catchall_fix.patch wird angewandt
dpkg-source: Information: build_without_tty.patch wird angewandt
dpkg-source: Information: uchime_link_dynamically wird angewandt
dpkg-source: Information: uchime_hardening.patch wird angewandt
dpkg-source: Information: spelling.patch wird angewandt
/tmp $ cd mothur-1.33.0+dfsg/
/tmp/mothur-1.33.0+dfsg $ ~/build/devscripts/devscripts/scripts/uscan.pl --verbose --force-download --repack --repack-compression xz
-- Scanning for watchfiles in .
-- Found watchfile in ./debian
-- In debian/watch, processing watchfile line:
   opts=dversionmangle=s/(\+dfsg|[~\+]repack)// http://www.mothur.org/wiki/Download_mothur    /w/images/.*/.*/Mothur\.([\d\.]+)\.zip
-- Found the following matching hrefs:
     /w/images/6/65/Mothur.1.33.3.zip (1.33.3)
     /w/images/9/99/Mothur.1.32.1.zip (1.32.1)
     /w/images/b/bc/Mothur.1.31.2.zip (1.31.2)
     /w/images/d/d3/Mothur.1.30.2.zip (1.30.2)
     /w/images/a/a5/Mothur.1.29.2.zip (1.29.2)
     /w/images/6/68/Mothur.1.28.0.zip (1.28.0)
     /w/images/c/cb/Mothur.1.27.0.zip (1.27.0)
     /w/images/2/20/Mothur.1.26.0.zip (1.26.0)
     /w/images/7/7b/Mothur.1.25.1.zip (1.25.1)
     /w/images/0/09/Mothur.1.24.1.zip (1.24.1)
     /w/images/3/33/Mothur.1.23.1.zip (1.23.1)
     /w/images/4/4b/Mothur.1.22.2.zip (1.22.2)
     /w/images/6/64/Mothur.1.21.1.zip (1.21.1)
     /w/images/4/42/Mothur.1.20.3.zip (1.20.3)
     /w/images/0/08/Mothur.1.19.4.zip (1.19.4)
     /w/images/9/96/Mothur.1.18.1.zip (1.18.1)
     /w/images/9/9b/Mothur.1.17.3.zip (1.17.3)
     /w/images/8/8c/Mothur.1.16.1.zip (1.16.1)
     /w/images/a/a5/Mothur.1.15.0.zip (1.15.0)
     /w/images/2/2d/Mothur.1.14.0.zip (1.14.0)
     /w/images/0/05/Mothur.1.13.0.zip (1.13.0)
     /w/images/4/4d/Mothur.1.12.3.zip (1.12.3)
     /w/images/b/b9/Mothur.1.11.0.zip (1.11.0)
     /w/images/6/64/Mothur.1.10.0.zip (1.10.0)
     /w/images/e/e5/Mothur.1.9.0.zip (1.9.0)
     /w/images/e/ea/Mothur.1.8.0.zip (1.8.0)
     /w/images/e/e8/Mothur.1.6.0.zip (1.6.0)
     /w/images/7/7a/Mothur.1.4.2.zip (1.4.2)
     /w/images/f/f3/Mothur.1.3.0.zip (1.3.0)
     /w/images/a/a9/Mothur.1.2.0.zip (1.2.0)
     /w/images/3/33/Mothur.1.1.0.zip (1.1.0)
Newest version on remote site is 1.33.3, local version is 1.33.0+dfsg
 (mangled local version number 1.33.0)
 => Forcing download as requested
-- Downloading updated package Mothur.1.33.3.zip
-- Repacking from zip to .tar.xz
-- Successfully downloaded updated package Mothur.1.33.3.tar.xz
    and removed 156 files from it in mothur_1.33.3+dfsg.orig.tar.xz
-- Scan finished
$ tar taf ../Mothur.1.33.3.tar.xz|wc -l
961
$ tar taf ../mothur_1.33.3+dfsg.orig.tar.xz|wc -l
805

Gruß,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 22:27:04 GMT) Full text and rfc822 format available.

Message #90 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Fri, 21 Mar 2014 23:24:13 +0100
Hi,

On Fri, Mar 21, 2014 at 10:42:35PM +0100, Joachim Breitner wrote:
> Did you check Mothur.1.33.3.tar.xz or mothur_1.33.3+dfsg.orig.tar.xz – a
> mistake I also did earlier today:

see below ...
 
> $ apt-get source mothur
> Paketlisten werden gelesen... Fertig
> Abhängigkeitsbaum wird aufgebaut.       
> Statusinformationen werden eingelesen.... Fertig
> HINWEIS: »mothur«-Paketierung wird betreut im »Svn«-Versionsverwaltungssystem auf:
> svn://anonscm.debian.org/debian-med/trunk/packages/mothur/trunk/
> Es müssen 918 kB an Quellarchiven heruntergeladen werden.
> Holen: 1 http://http.debian.net/debian/ sid/main mothur 1.33.0+dfsg-1 (dsc) [2.103 B]
> Holen: 2 http://http.debian.net/debian/ sid/main mothur 1.33.0+dfsg-1 (tar) [902 kB]
> Holen: 3 http://http.debian.net/debian/ sid/main mothur 1.33.0+dfsg-1 (diff) [13,9 kB]
> Es wurden 918 kB in 0 s geholt (1.095 kB/s).             
> dpkg-source: Information: mothur wird nach mothur-1.33.0+dfsg extrahiert
> dpkg-source: Information: mothur_1.33.0+dfsg.orig.tar.xz wird entpackt
> dpkg-source: Information: mothur_1.33.0+dfsg-1.debian.tar.xz wird entpackt
> dpkg-source: Information: makefile.patch wird angewandt
> dpkg-source: Information: no_lcurses.patch wird angewandt
> dpkg-source: Information: drop_sse_option.patch wird angewandt
> dpkg-source: Information: catchall_fix.patch wird angewandt
> dpkg-source: Information: build_without_tty.patch wird angewandt
> dpkg-source: Information: uchime_link_dynamically wird angewandt
> dpkg-source: Information: uchime_hardening.patch wird angewandt
> dpkg-source: Information: spelling.patch wird angewandt
> /tmp $ cd mothur-1.33.0+dfsg/
> /tmp/mothur-1.33.0+dfsg $ ~/build/devscripts/devscripts/scripts/uscan.pl --verbose --force-download --repack --repack-compression xz
> -- Scanning for watchfiles in .
> -- Found watchfile in ./debian
> -- In debian/watch, processing watchfile line:
>    opts=dversionmangle=s/(\+dfsg|[~\+]repack)// http://www.mothur.org/wiki/Download_mothur    /w/images/.*/.*/Mothur\.([\d\.]+)\.zip
> -- Found the following matching hrefs:
>      /w/images/6/65/Mothur.1.33.3.zip (1.33.3)
>      /w/images/9/99/Mothur.1.32.1.zip (1.32.1)
>      /w/images/b/bc/Mothur.1.31.2.zip (1.31.2)
>      /w/images/d/d3/Mothur.1.30.2.zip (1.30.2)
>      /w/images/a/a5/Mothur.1.29.2.zip (1.29.2)
>      /w/images/6/68/Mothur.1.28.0.zip (1.28.0)
>      /w/images/c/cb/Mothur.1.27.0.zip (1.27.0)
>      /w/images/2/20/Mothur.1.26.0.zip (1.26.0)
>      /w/images/7/7b/Mothur.1.25.1.zip (1.25.1)
>      /w/images/0/09/Mothur.1.24.1.zip (1.24.1)
>      /w/images/3/33/Mothur.1.23.1.zip (1.23.1)
>      /w/images/4/4b/Mothur.1.22.2.zip (1.22.2)
>      /w/images/6/64/Mothur.1.21.1.zip (1.21.1)
>      /w/images/4/42/Mothur.1.20.3.zip (1.20.3)
>      /w/images/0/08/Mothur.1.19.4.zip (1.19.4)
>      /w/images/9/96/Mothur.1.18.1.zip (1.18.1)
>      /w/images/9/9b/Mothur.1.17.3.zip (1.17.3)
>      /w/images/8/8c/Mothur.1.16.1.zip (1.16.1)
>      /w/images/a/a5/Mothur.1.15.0.zip (1.15.0)
>      /w/images/2/2d/Mothur.1.14.0.zip (1.14.0)
>      /w/images/0/05/Mothur.1.13.0.zip (1.13.0)
>      /w/images/4/4d/Mothur.1.12.3.zip (1.12.3)
>      /w/images/b/b9/Mothur.1.11.0.zip (1.11.0)
>      /w/images/6/64/Mothur.1.10.0.zip (1.10.0)
>      /w/images/e/e5/Mothur.1.9.0.zip (1.9.0)
>      /w/images/e/ea/Mothur.1.8.0.zip (1.8.0)
>      /w/images/e/e8/Mothur.1.6.0.zip (1.6.0)
>      /w/images/7/7a/Mothur.1.4.2.zip (1.4.2)
>      /w/images/f/f3/Mothur.1.3.0.zip (1.3.0)
>      /w/images/a/a9/Mothur.1.2.0.zip (1.2.0)
>      /w/images/3/33/Mothur.1.1.0.zip (1.1.0)
> Newest version on remote site is 1.33.3, local version is 1.33.0+dfsg
>  (mangled local version number 1.33.0)
>  => Forcing download as requested
> -- Downloading updated package Mothur.1.33.3.zip
> -- Repacking from zip to .tar.xz
> -- Successfully downloaded updated package Mothur.1.33.3.tar.xz
>     and removed 156 files from it in mothur_1.33.3+dfsg.orig.tar.xz
> -- Scan finished
> $ tar taf ../Mothur.1.33.3.tar.xz|wc -l
> 961
> $ tar taf ../mothur_1.33.3+dfsg.orig.tar.xz|wc -l
> 805

Hmmm, that's strange.  At my side the orig.tar.xz is a symlink to the
other file.  I'm using

    debian/rules get-orig-source

(which does the same as you above).  BTW, I personally see no point in
keeping a non-stripped archive - it is perfectly fine to have only the
result of the stripped download.

No idea how I can help you reproducing the behaviour at my side.

Kind regards

         Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 22:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 22:30:04 GMT) Full text and rfc822 format available.

Message #95 received at 685506@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Fri, 21 Mar 2014 23:27:16 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 21.03.2014, 23:24 +0100 schrieb Andreas Tille:
> Hmmm, that's strange.  At my side the orig.tar.xz is a symlink to the
> other file.  I'm using
> 
>     debian/rules get-orig-source
> 
> (which does the same as you above).  BTW, I personally see no point in
> keeping a non-stripped archive - it is perfectly fine to have only the
> result of the stripped download.
> 
> No idea how I can help you reproducing the behaviour at my side.

In debian/rules I see no call to “repack”, that might be the reason; but
I won’t look into the details (what happens with which flags, and why)
today.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 22:33:05 GMT) Full text and rfc822 format available.

Message #100 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Fri, 21 Mar 2014 23:31:04 +0100
Hi Joachim,

On Fri, Mar 21, 2014 at 11:27:16PM +0100, Joachim Breitner wrote:
> >     debian/rules get-orig-source
> > 
> > (which does the same as you above).  BTW, I personally see no point in
> > keeping a non-stripped archive - it is perfectly fine to have only the
> > result of the stripped download.
> > 
> > No idea how I can help you reproducing the behaviour at my side.
> 
> In debian/rules I see no call to “repack”, that might be the reason; but
> I won’t look into the details (what happens with which flags, and why)
> today.

Ahh - you are right, I used the following local change:

$ svn diff
Index: rules
===================================================================
--- rules       (Revision 16448)
+++ rules       (Arbeitskopie)
@@ -36,4 +36,4 @@
 #         Alternatively you can use
 #          . debian/get-orig-source
 get-orig-source:
-       uscan --verbose --force-download --repack-compression xz
+       uscan --verbose --force-download --repack --repack-compression xz


This also became necessary with the current devscripts implementation.
My original code realised that since some files were removed a
repackaging is simply *required* and thus this option was redundant.

So, we actually are using the same command with different results which
is really strange.

Kind regards

       Andreas.


-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Fri, 21 Mar 2014 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Mar 2014 23:03:05 GMT) Full text and rfc822 format available.

Message #105 received at 685506@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Sat, 22 Mar 2014 00:01:37 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 21.03.2014, 23:31 +0100 schrieb Andreas Tille:
> So, we actually are using the same command with different results which
> is really strange.

so starting in an empty directory (maybe that makes a difference), if
you do

$ apt-get source mothur
$ cd mothur-1.33.0+dfsg/
$ path-to-current/devscripts/scripts/uscan.pl --force-download --repack --repack-compression xz
$ tar taf ../Mothur.1.33.3.tar.xz|wc -l
$ tar taf ../mothur_1.33.3+dfsg.orig.tar.xz|wc -l

what do you get?

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Sat, 22 Mar 2014 11:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 22 Mar 2014 11:18:05 GMT) Full text and rfc822 format available.

Message #110 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Sat, 22 Mar 2014 12:15:06 +0100
Hi,

forget about this - I was using the wrong uscan.  Sorry for the noise.

BTW, I do not see any sense in having the original *.zip, a xz
compressed tar.xz and the stripped +dfsg.orig.tar.xz.  IMHO the latter
is fully sufficient and the intermediate result (.tar.xz) could go away.

Kind regards

      Andreas.

On Sat, Mar 22, 2014 at 12:01:37AM +0100, Joachim Breitner wrote:
> Hi,
> 
> Am Freitag, den 21.03.2014, 23:31 +0100 schrieb Andreas Tille:
> > So, we actually are using the same command with different results which
> > is really strange.
> 
> so starting in an empty directory (maybe that makes a difference), if
> you do
> 
> $ apt-get source mothur
> $ cd mothur-1.33.0+dfsg/
> $ path-to-current/devscripts/scripts/uscan.pl --force-download --repack --repack-compression xz
> $ tar taf ../Mothur.1.33.3.tar.xz|wc -l
> $ tar taf ../mothur_1.33.3+dfsg.orig.tar.xz|wc -l
> 
> what do you get?
> 
> Greetings,
> Joachim
> 
> 
> -- 
> Joachim "nomeata" Breitner
> Debian Developer
>   nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
>   JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata



-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Sat, 22 Mar 2014 13:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boulenguez <nicolas@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 22 Mar 2014 13:03:08 GMT) Full text and rfc822 format available.

Message #115 received at 685506@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas@debian.org>
To: Debian Bug Tracking System <685506@bugs.debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Subject: Modifying Files-Excluded pattern specification
Date: Sat, 22 Mar 2014 14:00:40 +0100
In-Reply-To=<20140321105301.GE18098@an3as.eu>

Package: debian-policy
Followup-For: Bug #685506

Joachim Breitner wrote:
> File-Excluded: foo/bar.js to exclude
>  * foo/bar.js (in case of a dirty tarball)
>  * pkg-1.0/foo/bar.js (as in your implementation) as well as
>  * pkg-1.0/docs/foo/bar.js (this would be new
> the easiest, as it will conceivably stand less in the way of the
> developers, i.e. he would _not_ have to first look up the precise semantics.

Andreas Tille wrote:
> it is really flexible

The same effect was available with "*foo/bar.js" or the more accurate
"foo/bar.js */foo/bar.js".

Imagine an upstream providing two implementations, a default non free
"imp.c" and a free alternative "gpl/imp.c". The maintainer cannot
remove the former while keeping the latter anymore.

I call this less flexible, but I may miss your point.


The problem that you are trying to solve also affects license
attribution.
In your example of an upstream accidentally including a ".mytags" file
next to "pkg-1.0/" in the tarball, then specific Files patterns will
probably fail to match the new paths, so the whole package will be
considered as covered by the default license (Files: *).
If a work-around is ever adopted, it should be a dep5 update, not
create a divergence specific to Files-Excluded.


The Files and Files-Excluded fields share the same pattern syntax.
The new schem implies that:
- "a" matches "foo/a" in Files-Excluded, not in Files
Such an inconsistency create confusion, and will probably delay
acceptance of Files-Excluded into dep5.

Moreover, I consider that existing inconsistencies like
- "[ab]" matches "a" in Files-Excluded, not in Files
- "{a,b}" matches "a" in Files-Excluded, not in Files
- "a/" matches subdirectory "a" in Files-Excluded, not in Files
should be removed.

Imagine for example that upstream relicenses files under the "subdir"
directory. The maintainer will probably replace
  Files-Excluded: subdir/

  Files: *
  License: GPL-3
with
  Files: *
  License: GPL-3

  Files: subdir/
  License: GPL-2
This is valid, but last stanza is silently ignored.
I think that forcing users to write
  Files-Excluded: subdir*
or the more accurate "subdir subdir/*" from the beginning avoids
problems in the long term.


Thanks for making Files-Excluded a reality!
Please CC me as I am not subscribed to the list.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Tue, 25 Mar 2014 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 25 Mar 2014 17:30:04 GMT) Full text and rfc822 format available.

Message #120 received at 685506@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>, 685506@bugs.debian.org
Subject: Re: Problem with *.zip archives
Date: Tue, 25 Mar 2014 18:25:33 +0100
Hi,

On Sat, Mar 22, 2014 at 12:01:37AM +0100, Joachim Breitner wrote:
> $ tar taf ../Mothur.1.33.3.tar.xz|wc -l
> $ tar taf ../mothur_1.33.3+dfsg.orig.tar.xz|wc -l
> 
> what do you get?

the mothur issue is settled but I think there is a new problem with
ordinary *.tgz files now:  Please try:

  apt-get source gnumed-client
  cd <unpackdir>
  debian/rules get-orig-source

I get:

$ debian/rules get-orig-source
uscan --verbose --force-download --repack-compression xz
-- Scanning for watchfiles in .
-- Found watchfile in ./debian
-- In debian/watch, processing watchfile line:
   opts="dversionmangle=s/\+dfsg//g" http://www.gnumed.de/downloads/gnumed-versions.txt    http://www.gnumed.de/downloads/client/[\d\.]+/gnumed-client\.([\d\.]+)\.tgz
-- Found the following matching hrefs:
     http://www.gnumed.de/downloads/client/1.4/gnumed-client.1.4.7.tgz (1.4.7)
Newest version on remote site is 1.4.7, local version is 1.4.6+dfsg
 (mangled local version number 1.4.6)
 => Forcing download as requested
-- Downloading updated package gnumed-client.1.4.7.tgz
Cannot determine compression method of gnumed-client.1.4.7.tgz at /home/andreas/bin/uscan line 1969.
make: *** [get-orig-source] Fehler 255


I also got the message 

  Cannot determine compression method of ... at /home/andreas/bin/uscan line 1969.                                                                                         

for an ordinary *.tgz without any attempt to unpack (for gnumed-server actually).

Any clue what might went wrong?

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#685506; Package debian-policy. (Wed, 26 Mar 2014 01:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James McCoy <jamessan@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 26 Mar 2014 01:24:04 GMT) Full text and rfc822 format available.

Message #125 received at 685506@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: Nicolas Boulenguez <nicolas@debian.org>
Cc: Debian Bug Tracking System <685506@bugs.debian.org>, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Subject: Re: Modifying Files-Excluded pattern specification
Date: Tue, 25 Mar 2014 21:20:45 -0400
On Sat, Mar 22, 2014 at 02:00:40PM +0100, Nicolas Boulenguez wrote:
> In-Reply-To=<20140321105301.GE18098@an3as.eu>
> 
> Joachim Breitner wrote:
> > File-Excluded: foo/bar.js to exclude
> >  * foo/bar.js (in case of a dirty tarball)
> >  * pkg-1.0/foo/bar.js (as in your implementation) as well as
> >  * pkg-1.0/docs/foo/bar.js (this would be new
> > the easiest, as it will conceivably stand less in the way of the
> > developers, i.e. he would _not_ have to first look up the precise semantics.
> 
> Andreas Tille wrote:
> > it is really flexible
> 
> The same effect was available with "*foo/bar.js" or the more accurate
> "foo/bar.js */foo/bar.js".
> 
> Imagine an upstream providing two implementations, a default non free
> "imp.c" and a free alternative "gpl/imp.c". The maintainer cannot
> remove the former while keeping the latter anymore.
> 
> I call this less flexible, but I may miss your point.

Agreed.  We shouldn't be introducing divergence between how Files: and
Files-Excluded: are interpreted.

Cheers,
-- 
James
GPG Key: 4096R/331BA3DB 2011-12-05 James McCoy <jamessan@debian.org>



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:34:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.